export interface AmenitiesMappingProps {
  iconName: string | null;
  i18nLabel: string | null;
}

const amenitiesMapping = (amenity: string): AmenitiesMappingProps | null => {
  const defaultIconName = 'detail-checkbox';

  const [iconName, i18nLabel] = {
    amenityAirConditioning: ['detail-ac', 'airConditioning'],
    amenityBalcony: ['detail-balcony', 'balcony'],
    amenityBathroomCleaner: ['bathroom', 'bathroomCleaner'],
    amenityBathroomLinens: [defaultIconName, 'bathroomLinens'],
    amenityBathtub: ['detail-bathub', 'bathtub'],
    amenityBedLinens: ['detail-bed', 'bedLinens'],
    amenityBroom: [defaultIconName, 'broom'],
    amenityBucket: [defaultIconName, 'bucket'],
    amenityCableTv: ['detail-cable-tv', 'cableTv'],
    amenityCanBottleOpener: [defaultIconName, 'canBottleOpener'],
    amenityCarbonMonoxideDetector: [defaultIconName, 'carbonMonoxideDetector'],
    amenityClothesRack: [defaultIconName, 'clothesRack'],
    amenityCoffeeBeanGrinder: [defaultIconName, 'coffeeBeanGrinder'],
    amenityCoffeeMachineBrew: [defaultIconName, 'coffeeMachineBrew'],
    amenityCoffeeMachineCapsule: [defaultIconName, 'coffeeMachineCapsule'],
    amenityColander: [defaultIconName, 'colander'],
    amenityCookingUtensils: [defaultIconName, 'cookingUtensils'],
    amenityCorkscrewWineOpener: [defaultIconName, 'corkscrewWineOpener'],
    amenityCuttingBoard: [defaultIconName, 'cuttingBoard'],
    amenityDishRackDrainer: [defaultIconName, 'dishRackDrainer'],
    amenityDishTowels: [defaultIconName, 'dishTowels'],
    amenityDishwashLiquid: [defaultIconName, 'dishwashLiquid'],
    amenityDishwasher: ['detail-washer', 'dishwasher'],
    amenityDishwasherTablets: ['detail-washer', 'dishwasherTablets'],
    amenityDryer: ['detail-dryer', 'dryer'],
    amenityElectricFans: [defaultIconName, 'electricFans'],
    amenityEssentialsForWeek: [defaultIconName, 'essentialsForWeek'],
    amenityFireExtinguisher: [defaultIconName, 'fireExtinguisher'],
    amenityFirstAidKit: [defaultIconName, 'firstAidKit'],
    amenityFloorCleaner: [defaultIconName, 'floorCleaner'],
    amenityGarbageBinLiners: [defaultIconName, 'garbageBinLiners'],
    amenityGlassCleaner: [defaultIconName, 'glassCleaner'],
    amenityHairDryer: [defaultIconName, 'hairDryer'],
    amenityHotShowerHeater: ['detail-shower-heater', 'hotShowerHeater'],
    amenityIntercom: [defaultIconName, 'intercom'],
    amenityIron: [defaultIconName, 'iron'],
    amenityIronBoard: [defaultIconName, 'ironBoard'],
    amenityJacuzzi: [defaultIconName, 'jacuzzi'],
    amenityKitchen: ['detail-kitchen', 'kitchen'],
    amenityKitchenCleaner: ['detail-kitchen', 'kitchenCleaner'],
    amenityKitchenGarbageBin: ['detail-kitchen', 'kitchenGarbageBin'],
    amenityKitchenHotMitts: ['detail-kitchen', 'kitchenHotMitts'],
    amenityKitchenLinens: ['detail-kitchen', 'kitchenLinens'],
    amenityKitchenRollHolder: ['detail-kitchen', 'kitchenRollHolder'],
    amenityKnivesCutlery: [defaultIconName, 'knivesCutlery'],
    amenityLaundryDetergentLiquid: [defaultIconName, 'laundryDetergentLiquid'],
    amenityLaundryDetergentPowder: [defaultIconName, 'laundryDetergentPowder'],
    amenityLockBedroomDoor: [defaultIconName, 'lockBedroomDoor'],
    amenityMicrowave: ['detail-microwave', 'microwave'],
    amenityMop: [defaultIconName, 'mop'],
    amenityMugsGlassware: [defaultIconName, 'mugsGlassware'],
    amenityMultiPurposeCleaner: [defaultIconName, 'multiPurposeCleaner'],
    amenityOven: ['detail-oven', 'oven'],
    amenityPaperTowels: [defaultIconName, 'paperTowels'],
    amenityParking: ['detail-parking', 'parking'],
    amenityPhone: [defaultIconName, 'phone'],
    amenityPlatesBowls: [defaultIconName, 'platesBowls'],
    amenityPlayground: [defaultIconName, 'playground'],
    amenityPotsPans: [defaultIconName, 'potsPans'],
    amenityRefrigerator: ['detail-fridge', 'refrigerator'],
    amenityRiceCooker: [defaultIconName, 'riceCooker'],
    amenitySafe: ['detail-safe', 'safe'],
    amenityScissors: [defaultIconName, 'scissors'],
    amenitySmokeDetector: [defaultIconName, 'smokeDetector'],
    amenitySoundSystem: [defaultIconName, 'soundSystem'],
    amenitySponges: [defaultIconName, 'sponges'],
    amenityStoveCooktop: ['detail-oven', 'stove'],
    amenityStudyDesk: ['detail-study-room', 'studyDesk'],
    amenityTeaKettleWaterBoiler: [defaultIconName, 'teaKettleWaterBoiler'],
    amenityToaster: [defaultIconName, 'toaster'],
    amenityToasterOven: [defaultIconName, 'toasterOven'],
    amenityToiletBidetSprayer: [defaultIconName, 'toiletBidetSprayer'],
    amenityToiletCleaner: [defaultIconName, 'toiletCleaner'],
    amenityTv: ['detail-tv', 'tv'],
    amenityUtensilRack: [defaultIconName, 'utensilRack'],
    amenityVacuumCleaner: [defaultIconName, 'vacuumCleaner'],
    amenityWalkInWardrobe: [defaultIconName, 'walkInWardrobe'],
    amenityWasher: ['detail-washer', 'washer'],
    amenityWifi: ['detail-wifi', 'wifi'],
    amentityBeautySalon: [defaultIconName, 'allProperty'],
    partiesAllowed: [defaultIconName, 'partiesAllowed'],
    petFriendly: ['pet-friendly-condos', 'petFriendly'],
    smokingAllowed: [defaultIconName, 'smokingAllowed']
  }[amenity] || [null, null];

  return i18nLabel ? { iconName, i18nLabel } : null;
};

export default amenitiesMapping;
